import { jsx } from "react/jsx-runtime";
import { TokenEGG as TokenEGG$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenEGG = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "EGG", "data-name": "TokenEGG", ...props, children: /* @__PURE__ */ jsx(TokenEGG$1, { variant }) });
  }
);
TokenEGG.displayName = "TokenEGG";
Object.assign(TokenEGG, { isGdsIcon: true });
export {
  TokenEGG
};
